Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/24/2024 in all areas

  1. Time to change the boss to make it easier for the people who do the actual work? Should be able to use the code from mine and RLX fairly straight forwrad but I haven't had change today to look
    1 point
  2. If your metric or imperial then sheet sizes are standard, if you have custom sizes then you should know what they mean change their description so it is relevsnt need to edit the custom properties
    1 point
  3. When you use a defun need it's full name eg (C:breakall) Or (command "breakall") A simple defun may not have the c : (Mybreak)
    1 point
  4. Thanks @tombu, it works. (defun c:breakall (/ cmd ss) (initget "breakAll breakObject breakwoBjects breakWith breakTouching breakSelected") (setq ans (cond ((getkword "\nChoose [breakAll/breakObject/breakwoBjects/breakWith/breakTouching/breakSelected] <breakAll>: ")) ("breakAll")))
    1 point
  5. Lee Mac has a few examples at: https://www.lee-mac.com/promptwithdefault.html That's how I use it in most of my code.
    1 point
  6. Hi @smitaranjan, Try this LISP which i made and use "DYNAMIC_BLOCK.dwg" to insert a BLOCK with ATTRIBUTES into the drawing. The MAX number of TEXT or MTEXT that can be placed within each ATTRIBUTE is 1 (total number of ATTRIBUTE is 4). Also, if your selection set of TEXT or MTEXT is greater than 4, you will receive a message in the command line with a list of values from the selection set whose list length is greater than 4. Inside TBA.lsp you will find other information about how lisp works. Try to save a "DYNAMIC_BLOCK.dwg" and TBA.lsp in folder anywhere on disk partition, it will be much easier. See a picture which hold a descriptions for "grips". Feel free to provide comments about TBA.lsp. Best regards. TBA.lsp DYNAMIC_BLOCK.dwg
    1 point
  7. With your list (setq lst '("Verhardingen" ("tablename" . "Verhardingen") ("tabledesc" . "Verhardingen") ("columns" ("colname" . "Formaat") ("coldesc" . "Formaat") ("coltype" . "Character") ("defaultval" . "-")))) (setq l_add '(("colname" . "Test") ("coldesc" . "Test") ("coltype" . "Character") ("defaultval" . "-"))) (setq nw_tab (append (list (cadr lst) (caddr lst)) (list (list "columns" (cdr (cadddr lst)) l_add)))) (ade_oddefinetab nw_tab)
    1 point
  8. Try this Stryder: ;; ============ PolyMatch.lsp =============== ;; ;; FUNCTION: ;; Will match the Elevation, layer, colour ;; Linetype, linetype scale, and lineweight ;; of a selected Polyline to every Polyline ;; in a selection set. ;; ;; (Will unlock any locked layers) ;; ;; SYNTAX: pmtch ;; ;; AUTHOR: ;; Copyright (c) 2009, Lee McDonnell ;; (Contact Lee Mac, CADTutor.net) ;; ;; PLATFORMS: ;; No Restrictions, ;; only tested in ACAD 2004. ;; ;; ;; VERSION: ;; 1.0 ~ 14.04.2009 ;; ;; ==================================== (defun c:pmtch (/ ent cObj lay col lt lts lw el ss) (vl-load-com) (if (and (setq ent (car (entsel "\nSelect Polyline to Match: "))) (eq "AcDbPolyline" (vla-get-ObjectName (setq cObj (vlax-ename->vla-object ent))))) (progn (setq lay (vla-get-layer cObj) col (vla-get-color cObj) lt (vla-get-linetype cObj) lts (vla-get-linetypescale cObj) lw (vla-get-lineweight cObj) el (vla-get-Elevation cObj)) (if (setq ss (ssget (list (cons 0 "*POLYLINE") (if (getvar "CTAB") (cons 410 (getvar "CTAB")) (cons 67 (- 1 (getvar "TILEMODE"))))))) (progn (vlax-for lay (vla-get-layers (vla-get-ActiveDocument (vlax-get-acad-object))) (vla-put-lock lay :vlax-false)) (foreach Obj (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))) (vla-put-elevation Obj el) (vla-put-layer Obj lay) (vla-put-color Obj col) (vla-put-linetype Obj lt) (vla-put-linetypescale Obj lts) (vla-put-lineweight Obj lw))) (princ "\n<!> No Polylines Selected <!>"))) (princ "\n<!> No Polyline Selected <!>")) (princ))
    1 point
×
×
  • Create New...